# Get All Packages

## All Packages

<mark style="color:blue;">`GET`</mark> `https://api.oscwii.org/v2/<host>/packages`

This endpoint retrieves all applications / packages in the specified host.

#### Path Parameters

| Name | Type   | Description                                                                                 |
| ---- | ------ | ------------------------------------------------------------------------------------------- |
| host | string | Host to use (e.g. primary, themes). For info about hosts, scroll down to the Hosts section. |

{% tabs %}
{% tab title="200 curl "<https://api.oscwii.org/v2/primary/packages>"" %}

```
[
  {
    "category": "demos", 
    "coder": "mjbauer95", 
    "contributors": "", 
    "controllers": "w", 
    "display_name": "Libmii Example", 
    "package_type": "dol", 
    "downloads": 0, 
    "extracted": 232449, 
    "internal_name": "libmii-example", 
    "long_description": "An example of libmii. It shows each Mii entry as a name.", 
    "rating": "", 
    "release_date": 1237611600, 
    "short_description": "Example of libmii", 
    "updated": 1237611600, 
    "version": "0.1alpha", 
    "zip_size": 115725
  }, 
  {
    "category": "demos", 
    "coder": "Owe", 
    "contributors": "", 
    "controllers": "w", 
    "display_name": "Newo Sky", 
    "package_type": "dol", 
    "downloads": 0, 
    "extracted": 3007113, 
    "internal_name": "newosky", 
    "long_description": "Procedurally generated landscape and walking simulator demo", 
    "rating": "", 
    "release_date": 1508648400, 
    "short_description": "Procgen walking simulator", 
    "updated": 1508648400, 
    "version": "1.1", 
    "zip_size": 2052706
  }
]
```

{% endtab %}
{% endtabs %}

For the time being, packages will always return 0 downloads and no rating. This will be changed in the future.
